package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConfRestricaoOrgaoConcedente;

public class RenderConfRestOrgaoConcedente implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ConfRestricaoOrgaoConcedente confOrgao = (ConfRestricaoOrgaoConcedente) o;

		Listcell lc = new Listcell(confOrgao.getConfRestOrgaoConcedenteId()== null ?" - " : confOrgao.getConfRestOrgaoConcedenteId().toString());
		lc.setParent(lstm);
		
		lc = new Listcell(confOrgao.getOrgaoConcedente() == null ?" - " :  confOrgao.getOrgaoConcedente().getDescOrgao());
		lc.setParent(lstm);
		
		lc.setParent(lstm);

		lstm.setAttribute("data", confOrgao);
	}
}
